import React, {Component} from 'react'
import { Input } from 'antd'

const { Search } = Input

class MKSearchInput extends Component {
  render() {
    const { config, onChange, onInputSubmit } = this.props

    if (config.inputType === 'search') {
      return <Search defaultValue={config.initval} allowClear placeholder={config.labelShow === 'false' ? config.label : ''} autoComplete="off" onChange={onChange} onSearch={onInputSubmit} enterButton/>
    } else {
      return <Input defaultValue={config.initval} allowClear placeholder={config.labelShow === 'false' ? config.label : ''} autoComplete="off" onChange={onChange} onPressEnter={onInputSubmit} />
    }
  }
}

export default MKSearchInput